package com.loafle.overflow.module.probe.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaProbeTaskType;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.probe.model.ProbeTask;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 6. 26.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class ProbeTaskDAOTest {

    @Autowired
    private ProbeTaskDAO probeTaskDAO;


    @Ignore
    @Test
    public void Create() {

        ProbeTask probeTask = new ProbeTask();

        MetaProbeTaskType typeDiscovery = new MetaProbeTaskType();
        typeDiscovery.setId((short)1);

        probeTask.setMetaProbeTaskType(typeDiscovery);
        probeTask.setData("");

        Probe probe = new Probe();
        probe.setId(1);

        probeTask.setProbe(probe);

        this.probeTaskDAO.save(probeTask);

    }

    @Ignore
    @Test
    public void select() {

        Create();

        Probe probe = new Probe();
        probe.setId(1);

        List<ProbeTask> probeTasks = this.probeTaskDAO.findAllByProbe(probe);

        Assert.assertNotEquals(probeTasks.size(), 0 );


    }

}